JonasDeploymentTool (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.ejb, class: JonasDeploymentTool

Package org.apache.tools.ant.taskdefs.optional.ejb

# Class JonasDeploymentTool

java.lang.Object
org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
org.apache.tools.ant.taskdefs.optional.ejb.JonasDeploymentTool

All Implemented Interfaces:
  `EJBDeploymentTool`

public class JonasDeploymentTool extends GenericDeploymentTool
The deployment tool to add the jonas specific deployment descriptors to the ejb JAR file. JONAS only requires one additional file jonas-ejb-jar.xml.

Version:
  1.0
See Also:
  - `EjbJar.createJonas()`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `DAVID_ORB`
  DAVID ORB.
  `protected static final String`
  `EJB_JAR_1_1_DTD`
  Name of the standard deployment descriptor DTD (these files are stored in the ${JONAS_ROOT}/xml directory).
  `protected static final String`
  `EJB_JAR_1_1_PUBLIC_ID`
  Public Id of the standard deployment descriptor DTD.
  `protected static final String`
  `EJB_JAR_2_0_DTD`
  `protected static final String`
  `EJB_JAR_2_0_PUBLIC_ID`
  `protected static final String`
  `GENIC_CLASS`
  GenIC class name (JOnAS 2.5)
  `protected static final String`
  `JEREMIE_ORB`
  JEREMIE ORB.
  `protected static final String`
  `JONAS_DD`
  Default JOnAS deployment descriptor name.
  `protected static final String`
  `JONAS_EJB_JAR_2_4_DTD`
  Name of the JOnAS-specific deployment descriptor DTD (these files are stored in the ${JONAS_ROOT}/xml directory).
  `protected static final String`
  `JONAS_EJB_JAR_2_4_PUBLIC_ID`
  Public Id of the JOnAS-specific deployment descriptor DTD.
  `protected static final String`
  `JONAS_EJB_JAR_2_5_DTD`
  `protected static final String`
  `JONAS_EJB_JAR_2_5_PUBLIC_ID`
  `protected static final String`
  `OLD_GENIC_CLASS_1`
  Old GenIC class name (JOnAS 2.4.x).
  `protected static final String`
  `OLD_GENIC_CLASS_2`
  Old GenIC class name.
  `protected static final String`
  `RMI_ORB`
  RMI ORB.

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

  `ANALYZER_CLASS_FULL, ANALYZER_CLASS_SUPER, ANALYZER_FULL, ANALYZER_NONE, ANALYZER_SUPER, DEFAULT_ANALYZER, DEFAULT_BUFFER_SIZE, EJB_DD, JAR_COMPRESS_LEVEL, MANIFEST, META_DIR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JonasDeploymentTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addVendorFiles(Hashtable<String,File> ejbFiles, String ddPrefix)`
  Add any vendor specific files which should be included in the EJB Jar.
  `protected void`
  `checkConfiguration(String descriptorFileName, SAXParser saxParser)`
  Verify the configuration.
  `protected String`
  `getJarBaseName(String descriptorFileName)`
  Using the EJB descriptor file name passed from the `ejbjar` task, this method returns the "basename" which will be used to name the completed JAR file.
  `protected File`
  `getVendorOutputJarFile(String baseName)`
  .
  `void`
  `processDescriptor(String aDescriptorName, SAXParser saxParser)`
  Process a deployment descriptor, generating the necessary vendor specific deployment files.
  `protected void`
  `registerKnownDTDs(DescriptorHandler handler)`
  Register the locations of all known DTDs.
  `void`
  `setAdditionalargs(String aString)`
  Sets the additional arguments.
  `void`
  `setJarsuffix(String aString)`
  Sets the jar suffix.
  `void`
  `setJavac(String aString)`
  Sets the java compiler to use.
  `void`
  `setJavacopts(String aString)`
  Set the options to pass to the java compiler.
  `void`
  `setJonasroot(File aFile)`
  Set the JOnAS root directory.
  `void`
  `setKeepgenerated(boolean aBoolean)`
  Sets the `keepgenerated` flag.
  `void`
  `setKeepgeneric(boolean aBoolean)`
  Sets the `keepgeneric` flag.
  `void`
  `setNocompil(boolean aBoolean)`
  Sets the `nocompil` flag.
  `void`
  `setNogenic(boolean aBoolean)`
  Sets the `nogenic` flag.
  `void`
  `setNovalidation(boolean aBoolean)`
  Sets the `novalidation` flag.
  `void`
  `setOrb(String aString)`
  Sets the `orb` to construct classpath.
  `void`
  `setRmicopts(String aString)`
  Set the options to pass to the rmi compiler.
  `void`
  `setSecpropag(boolean aBoolean)`
  Sets the `secpropag` flag.
  `void`
  `setVerbose(boolean aBoolean)`
  Sets the `verbose` flag.
  `protected void`
  `writeJar(String baseName, File jarfile, Hashtable<String,File> ejbFiles, String publicId)`
  Method used to encapsulate the writing of the JAR file.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

  `addFileToJar, addSupportClasses, checkAndAddDependants, configure, createClasspath, getClassLoaderForBuild, getCombinedClasspath, getConfig, getDescriptorHandler, getDestDir, getLocation, getManifestFile, getPublicId, getTask, getVendorDDPrefix, log, needToRebuild, parseEjbFiles, setClasspath, setDestdir, setGenericJarSuffix, setTask, usingBaseJarName, validateConfigured`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EJB_JAR_1_1_PUBLIC_ID

    protected static final String EJB_JAR_1_1_PUBLIC_ID
    Public Id of the standard deployment descriptor DTD.
    See Also:
      - Constant Field Values

  - ### EJB_JAR_2_0_PUBLIC_ID

    protected static final String EJB_JAR_2_0_PUBLIC_ID
    See Also:
      - Constant Field Values

  - ### JONAS_EJB_JAR_2_4_PUBLIC_ID

    protected static final String JONAS_EJB_JAR_2_4_PUBLIC_ID
    Public Id of the JOnAS-specific deployment descriptor DTD.
    See Also:
      - Constant Field Values

  - ### JONAS_EJB_JAR_2_5_PUBLIC_ID

    protected static final String JONAS_EJB_JAR_2_5_PUBLIC_ID
    See Also:
      - Constant Field Values

  - ### RMI_ORB

    protected static final String RMI_ORB
    RMI ORB.
    See Also:
      - Constant Field Values

  - ### JEREMIE_ORB

    protected static final String JEREMIE_ORB
    JEREMIE ORB.
    See Also:
      - Constant Field Values

  - ### DAVID_ORB

    protected static final String DAVID_ORB
    DAVID ORB.
    See Also:
      - Constant Field Values

  - ### EJB_JAR_1_1_DTD

    protected static final String EJB_JAR_1_1_DTD
    Name of the standard deployment descriptor DTD (these files are stored in the ${JONAS_ROOT}/xml directory).
    See Also:
      - Constant Field Values

  - ### EJB_JAR_2_0_DTD

    protected static final String EJB_JAR_2_0_DTD
    See Also:
      - Constant Field Values

  - ### JONAS_EJB_JAR_2_4_DTD

    protected static final String JONAS_EJB_JAR_2_4_DTD
    Name of the JOnAS-specific deployment descriptor DTD (these files are stored in the ${JONAS_ROOT}/xml directory).
    See Also:
      - Constant Field Values

  - ### JONAS_EJB_JAR_2_5_DTD

    protected static final String JONAS_EJB_JAR_2_5_DTD
    See Also:
      - Constant Field Values

  - ### JONAS_DD

    protected static final String JONAS_DD
    Default JOnAS deployment descriptor name.
    See Also:
      - Constant Field Values

  - ### GENIC_CLASS

    protected static final String GENIC_CLASS
    GenIC class name (JOnAS 2.5)
    See Also:
      - Constant Field Values

  - ### OLD_GENIC_CLASS_1

    protected static final String OLD_GENIC_CLASS_1
    Old GenIC class name (JOnAS 2.4.x).
    See Also:
      - Constant Field Values

  - ### OLD_GENIC_CLASS_2

    protected static final String OLD_GENIC_CLASS_2
    Old GenIC class name.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JonasDeploymentTool

    public JonasDeploymentTool()

- ## Method Details

  - ### setKeepgenerated

    public void setKeepgenerated(boolean aBoolean)
    Sets the `keepgenerated` flag.
    Parameters:
      `aBoolean` - `true` if the flag must be set.

  - ### setAdditionalargs

    public void setAdditionalargs(String aString)
    Sets the additional arguments.
    Parameters:
      `aString` - additional args.

  - ### setNocompil

    public void setNocompil(boolean aBoolean)
    Sets the `nocompil` flag.
    Parameters:
      `aBoolean` - `true` if the flag must be set.

  - ### setNovalidation

    public void setNovalidation(boolean aBoolean)
    Sets the `novalidation` flag.
    Parameters:
      `aBoolean` - `true` if the flag must be set.

  - ### setJavac

    public void setJavac(String aString)
    Sets the java compiler to use.
    Parameters:
      `aString` - the java compiler.

  - ### setJavacopts

    public void setJavacopts(String aString)
    Set the options to pass to the java compiler.
    Parameters:
      `aString` - the options.

  - ### setRmicopts

    public void setRmicopts(String aString)
    Set the options to pass to the rmi compiler.
    Parameters:
      `aString` - the options.

  - ### setSecpropag

    public void setSecpropag(boolean aBoolean)
    Sets the `secpropag` flag.
    Parameters:
      `aBoolean` - `true` if the flag must be set.

  - ### setVerbose

    public void setVerbose(boolean aBoolean)
    Sets the `verbose` flag.
    Parameters:
      `aBoolean` - `true` if the flag must be set.

  - ### setJonasroot

    public void setJonasroot(File aFile)
    Set the JOnAS root directory.
    Parameters:
      `aFile` - the JOnAS root directory.

  - ### setKeepgeneric

    public void setKeepgeneric(boolean aBoolean)
    Sets the `keepgeneric` flag.
    Parameters:
      `aBoolean` - `true` if the flag must be set.

  - ### setJarsuffix

    public void setJarsuffix(String aString)
    Sets the jar suffix.
    Parameters:
      `aString` - the string to use as the suffix.

  - ### setOrb

    public void setOrb(String aString)
    Sets the `orb` to construct classpath.
    Parameters:
      `aString` - 'RMI', 'JEREMIE', or 'DAVID'.

  - ### setNogenic

    public void setNogenic(boolean aBoolean)
    Sets the `nogenic` flag.
    Parameters:
      `aBoolean` - `true` if the flag must be set.

  - ### processDescriptor

    public void processDescriptor(String aDescriptorName, SAXParser saxParser)
    Process a deployment descriptor, generating the necessary vendor specific deployment files...
    Specified by:
      `processDescriptor` in interface `EJBDeploymentTool`
    Overrides:
      `processDescriptor` in class `GenericDeploymentTool`
    Parameters:
      `aDescriptorName` - the name of the deployment descriptor
      `saxParser` - a SAX parser which can be used to parse the deployment descriptor.

  - ### writeJar

    protected void writeJar(String baseName, File jarfile, Hashtable<String,File> ejbFiles, String publicId) throws BuildException
    Method used to encapsulate the writing of the JAR file. Iterates over the filenames/java.io.Files in the Hashtable stored on the instance variable ejbFiles..
    Overrides:
      `writeJar` in class `GenericDeploymentTool`
    Parameters:
      `baseName` - the base name to use.
      `jarfile` - the jar file to write to.
      `ejbFiles` - the files to write to the jar.
      `publicId` - the id to use.
    Throws:
      `BuildException` - if there is a problem.

  - ### addVendorFiles

    protected void addVendorFiles(Hashtable<String,File> ejbFiles, String ddPrefix)
    Add any vendor specific files which should be included in the EJB Jar..
    Overrides:
      `addVendorFiles` in class `GenericDeploymentTool`
    Parameters:
      `ejbFiles` - a hashtable entryname -> file.
      `ddPrefix` - a prefix to use.

  - ### getVendorOutputJarFile

    protected File getVendorOutputJarFile(String baseName)
    .

  - ### getJarBaseName

    protected String getJarBaseName(String descriptorFileName)
    Using the EJB descriptor file name passed from the `ejbjar` task, this method returns the "basename" which will be used to name the completed JAR file..
    Overrides:
      `getJarBaseName` in class `GenericDeploymentTool`
    Parameters:
      `descriptorFileName` - String representing the file name of an EJB descriptor to be processed
    Returns:
      The "basename" which will be used to name the completed JAR file

  - ### registerKnownDTDs

    protected void registerKnownDTDs(DescriptorHandler handler)
    Register the locations of all known DTDs. vendor-specific subclasses should override this method to define the vendor-specific locations of the EJB DTDs.
    Overrides:
      `registerKnownDTDs` in class `GenericDeploymentTool`
    Parameters:
      `handler` - no used in this class.

  - ### checkConfiguration

    protected void checkConfiguration(String descriptorFileName, SAXParser saxParser) throws BuildException
    Verify the configuration.
    Overrides:
      `checkConfiguration` in class `GenericDeploymentTool`
    Parameters:
      `descriptorFileName` - the name of the descriptor file.
      `saxParser` - not used.
    Throws:
      `BuildException` - if there is an error.